/// <reference types="Cypress" />
/* globals cy, expect */

context("Solid-event automatic tests", () => {
  before(() => {
    cy.clearLocalStorageSnapshot();
  });
  beforeEach(() => cy.restoreLocalStorage());
  afterEach(() => cy.saveLocalStorage());
  it("should login", () => cy.userLogin());

  //CHECK CLICK ON LINKS
  it("Redirection on links", () => {
    cy.get('solid-set-default > solid-display-value[value="Futur Event"]')
      .parent()
      .within(() => {
        cy.get('event-display-location-events[name="location"]')
          .find("a")
          .invoke("removeAttr", "target")
          .click();
      });
    //cy.url().should('include', 'https://www.openstreetmap.org/search?query=12,%20rue%20du%20Bac,%2075007%20Paris#map=19/48.85851/2.32846')
    cy.go("back");
  });
});
