export default function coreVersion() {
  let coreUrl =
    "https://cdn.jsdelivr.net/npm/@startinblox/core@0.19/dist/index.js";
  if (window.orbit) {
    let core = window.orbit.npm.find((e) => e.package == "@startinblox/core");
    coreUrl = `https://cdn.jsdelivr.net/npm/@startinblox/core@${core.version}/dist/index.js`;
    if (core.path) {
      coreUrl = core.path;
    }
  }
  return coreUrl;
}
