import componentName from "@helpers/componentName";

export default function path() {
  let path = "";
  if (window.orbit) {
    let component = window.orbit.npm.find(
      (e) => e.package == `@startinblox/component-${componentName}`
    );
    path = `https://cdn.jsdelivr.net/npm/${component.package}@${component.version}/dist`;
    if (component.path) {
      path = component.path
        .replace("/src/index.js", "")
        .replace("/index.js", "");
    }
  }
  return path;
}
